<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recognize Ektp</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <style>
        .ktp-preview {
            width: 200px;
            min-height: 100px;
            border: 2px solid #dddddd;
            margin-top: 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            color: #cccccc;
        }

        .face-preview {
            width: 100px;
            min-height: 100px;
            border: 2px solid #dddddd;
            margin-top: 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            color: #cccccc;
        }

        .foto-preview {
            width: 100px;
            min-height: 100px;
            border: 2px solid #dddddd;
            margin-top: 15px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-weight: bold;
            color: #cccccc;
        }

        .image-preview__ktp {
            display: none;
            width: 100%;
        }

        .face-preview__face {
            display: none;
            width: 100%;
        }

        .foto-preview__foto {
            display: none;
            width: 100%;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="row">
            <form class="col s12">
                <div class="file-field input-field col s12">
                    <div class="btn">
                        <span>Browse</span>
                        <input type="file" name="file_ktp" id="file_ktp" />
                    </div>

                    <div class="file-path-wrapper">
                        <input class="file-path validate" type="text" placeholder="Upload KTP" />
                    </div>
                </div>
                <div class="row">
                    <div class="col s6" style="padding: 10px 10px 10px 10px;">
                        <div class="ktp-preview" id="ktpPreview">
                            <img src="" alt="KTP Preview" class="image-preview__ktp">
                            <span class="image-preview__default-text">KTP Preview</span>
                        </div>
                    </div>
                    <div class="col s6">
                        <div class="face-preview" id="facePreview">
                            <img src="" alt="Face Preview" class="face-preview__face">
                            <span class="face-preview__default-text">Face Preview</span>
                        </div>
                    </div>
                </div>
                <div class="file-field input-field col s12">
                    <div class="btn">
                        <span>Browse</span>
                        <input type="file" name="file_foto" id="file_foto" />
                    </div>

                    <div class="file-path-wrapper">
                        <input class="file-path validate" type="text" placeholder="Upload Foto" />
                    </div>
                </div>
                <div class="row">
                    <div class="col s6">
                        <div class="foto-preview" id="fotoPreview">
                            <img src="" alt="Foto Preview" class="foto-preview__foto">
                            <span class="foto-preview__default-text">Foto Preview</span>
                        </div>
                    </div>
                    <div class="col s6">
                        <span id="face_result"></span>
                    </div>
                </div>
                <div class="row">
                    <div class="col s12">
                        <span id="proses" class="proses-recognize-text" style="display: none;">Proses membaca ktp</span>
                    </div>
                </div>
                <div class="row">
                    <div class="input-field col s12">
                        <input id="nik" name="nik" class="validate">
                        
                    </div>
                    <span id="proses" class="proses-recognize-text" style="display: none;">Proses membaca ktp</span>
        
                </div>
                <div class="row">
                    <div class="input-field col s12">
                        <input id="nama" name="nama" class="validate">
                        
                    </div>
                    
        
                </div>

                <button class="btn" id="upload">Upload</button>

            </form>
            <!-- <canvas id="myCanvas" width="500" height="200" style="border:3px solid">
                HTML5 canvas tag is not
                supported by your browser.
            </canvas> -->
            <canvas id="crop_canvas"  style="display: none;"/>
        </div>
    </div>


    <!-- <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs"></script>
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow-models/blazeface"></script> -->
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script src='https://unpkg.com/tesseract.js@v2.1.0/dist/tesseract.min.js'></script>
    <script src="https://cdn.jsdelivr.net/npm/@vladmandic/face-api/dist/face-api.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.23.0/axios.min.js" integrity="sha512-Idr7xVNnMWCsgBQscTSCivBNWWH30oo/tzYORviOCrLKmBaRxRflm2miNhTFJNVmXvCtzgms5nlJF4az2hiGnA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="face.js"></script>
</body>

</html>